CREATE TABLE ego_route_people (
    ROUTE_PEOPLE_ID           NUMBER(18, 0) ,
    ASSIGNEE_NAME             VARCHAR2(1600),
    RESPONSE_REQUIRED_FROM    VARCHAR2(40)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    STEP_ID                   NUMBER(18, 0)     NOT NULL,
    ASSIGNEE_TYPE_CODE        VARCHAR2(80)      NOT NULL,
    ASSIGNEE_ID               VARCHAR2(400) ,
    ADHOC_PEOPLE_FLAG         VARCHAR2(4)       NOT NULL,
    WF_SUBTASK_INSTANCE_ID    VARCHAR2(4000),
    RESPONSE_CODE             VARCHAR2(120) ,
    RESPONSE_DATE             DATE          ,
    ORIGINAL_ASSIGNEE_TYPE    VARCHAR2(120) ,
    ORIGINAL_ASSIGNEE_ID      VARCHAR2(400) ,
    REASSIGNED_TO             VARCHAR2(4000),
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_NAME               VARCHAR2(120) ,
    OBJECT_PK1                NUMBER(18, 0) ,
    OBJECT_PK2                NUMBER(18, 0) ,
    OBJECT_PK3                NUMBER(18, 0) ,
    OBJECT_PK4                NUMBER(18, 0) ,
    OBJECT_PK5                NUMBER(18, 0) ,
    TASK_START_TIME           TIMESTAMP(6)  ,
    TASK_COMPLETE_TIME        TIMESTAMP(6)  ,
    ROUTE_PEOPLE_ID           NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    STEP_ID                   NUMBER(18, 0)     NOT NULL,
    ASSIGNEE_TYPE_CODE        VARCHAR2(80)      NOT NULL,
    ASSIGNEE_ID               VARCHAR2(400) ,
    ADHOC_PEOPLE_FLAG         VARCHAR2(4)       NOT NULL,
    RESPONSE_CODE             VARCHAR2(120) ,
    RESPONSE_DATE             DATE          ,
    ORIGINAL_ASSIGNEE_TYPE    VARCHAR2(120) ,
    ORIGINAL_ASSIGNEE_ID      VARCHAR2(400) ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_NAME               VARCHAR2(120) ,
    OBJECT_PK1                NUMBER(18, 0) ,
    OBJECT_PK2                NUMBER(18, 0) ,
    OBJECT_PK3                NUMBER(18, 0) ,
    OBJECT_PK4                NUMBER(18, 0) ,
    OBJECT_PK5                NUMBER(18, 0) ,
    WF_SUBTASK_INSTANCE_ID    VARCHAR2(4000),
    RESPONSE_REQUIRED_FROM    VARCHAR2(40)  ,
    REASSIGNED_TO             VARCHAR2(4000),
    TASK_START_TIME           TIMESTAMP(6)  ,
    TASK_COMPLETE_TIME        TIMESTAMP(6)  ,
    ASSIGNEE_NAME             VARCHAR2(1600),
    CONSTRAINT pk_ego_route_people PRIMARY KEY (ROUTE_PEOPLE_ID, ROUTE_PEOPLE_ID)
);
